:root {
    --main-color: #d3ad7f;
    --black: #1f1818;
    --bg: #010103;
    --border: 0.1rem solid rgba(255, 255, 255, 0.3);
    --font-size: 10vw;
    --text-size: 1.3vw;
    font-family: "Roboto", sans-serif;
}

html {
    scroll-behavior: smooth;
}


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    border: none;
    text-decoration: none;
    text-transform: capitalize;
    transition: 0.2s linear;
}

body {
    background-color: var(--bg);
}

header {
    position: fixed;
    margin-bottom: 30vw;
}

.header {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    z-index: 99;
    border-bottom: var(--border);
    background-color: var(--bg);
    width: 100vw;
    display: flex;
    align-items: center;
    padding: 0.5vw 15vw;
    justify-content: space-between;
}

.logo {
    width: 5vw;
}


section {
    padding: 7vw 15vw;
    margin: auto;
    max-width: 100vw;
    align-items: center;
}


.icons {
    display: flex;
    justify-content: space-between;
    gap: 0.5vw;
}

.cart {
    width: 1.4vw;
    height: 1.4vw;
    cursor: pointer;
}

.wts {
    width: 1.5vw;
    height: 1.5vw;
    cursor: pointer;
}

.navbar a {
    margin: 0 1rem;
    font-size: 1vw;
    color: #fff;
}

.navbar a:hover {
    color: var(--main-color);
    border-bottom: 0.06rem solid var(--main-color);
    padding-bottom: 0.5rem;

}

.btn {
    background-color: var(--main-color);
    color: #fff;
    padding: 1rem 3rem;
    font-size: var(--text-size);
    cursor: pointer;
    margin-top: 1rem;
    display: inline-block;
}

.btn:hover {
    letter-spacing: 0.1vw;
}

.home-container {
    background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.7)), url('./img/home-img.jpeg');
    background-position: center;
    background-size: cover;
}

.home-container section {
    display: flex;
    align-items: center;
    min-height: 95vh;

}

#home .content h3 {
    line-height: 3vw;
}

.content {
    max-width: 100%;
    padding: 2vw;
}

.content h3 {
    color: #fff;
    font-size: 2vw;
    line-height: 2.5vw;
}

.content p {
    color: #fff;
    font-size: var(--text-size);
    width: 40vw;
    font-weight: 100;
    line-height: 1.5;
    padding: 1rem 0;
}

.title {
    font-size: 2vw;
    color: var(--main-color);
    text-align: center;
    margin-bottom: 4vw;
    text-transform: uppercase;
}

.title span {
    color: #fff;
    text-transform: uppercase;
}

.about .row {
    display: flex;
    align-items: center;
    font-size: var(--text-size);
    gap: 1.5rem;
}



.about-image {
    width: 35vw;
}

.home-container .content p {
    font-size: var(--text-size);
    color: #fff;
    line-height: 2.5vw;
    text-align: justify;
}


.about .row .content h3 {
    font-size: var(--text-size);
    color: #fff;
    font-size: 2vw;
    line-height: 10vw;
}

.about .row .content p {
    font-size: var(--text-size);
    color: #fff;
    text-align: justify;
}

.menu .box-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(20vw, 1fr));
    gap: 1vw;
}

.menu .box-container .box {
    text-align: center;
    border: var(--border);
    padding: 1vw;
    cursor: pointer;
}

.menu .box-container .box img {
    width: 6vw;
}

.menu .box-container .box h3 {
    color: #fff;
    font-size: var(--text-size);
    padding: 1rem 0;
}

.menu .box-container .box .price {
    color: #fff;
    font-size: 1vw;
    padding: 0.5rem 0;
}

.price span {
    font-size: 0.7vw;
    text-decoration: line-through;
    color: var(--main-color);
}

.menu .box-container .box:hover {
    background-color: var(--black);
}

.review .box-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(15vw, 1fr));
    gap: 1vw;
}

.review .box-container .box {
    border: var(--border);
    text-align: center;
    padding: 0.5vw;
}

.client {
    border-radius: 50%;
    width: 10vw;
}

.review .box-container .box p {
    font-size: 1vw;
    color: #fff;
    padding: 0.5vw 0;
    line-height: 1.8;
}

.review .box-container .box h3 {
    color: #fff;
    padding: 0.9vw 0;
    font-size: 1vw;
}

.address {
    display: flex;
    flex-direction: column;
    align-items: center;

}

iframe {
    width: 90vw;
    height: 30vw;
    border-radius: 0.5vw;
}

/* ========================= MOBILE ========================= */
@media (max-width: 768px) {

    :root {
        --text-size: 4vw;
        --font-size: 12vw;
    }

    section {
        padding: 10vw 5vw;
    }

    .title {
        font-size: 6vw;
        margin-bottom: 10vw;
    }


    .header {
        position: fixed;
        width: 100%;
        z-index: 999;
        padding: 4vw 6vw;
    }


    .logo {
        width: 15vw;
    }

    .icons {
        display: none;
    }


    .navbar ul {
        display: none;
    }


    .header::after {
        content: "☰";
        font-size: 10vw;
        color: white;
        cursor: pointer;
    }

    .header.active ul {
        display: flex;
        position: absolute;
        top: 20vw;
        right: 5vw;
        flex-direction: column;
        background-color: var(--bg);
        border: var(--border);
        padding: 4vw 6vw;
        gap: 4vw;
    }

    .navbar a {
        font-size: 4vw;
        margin: 0;
    }

    .home-container section {
        flex-direction: column;
        justify-content: center;
        text-align: center;
        padding-top: 30vw;
    }

    .content {
        max-width: 100vw;

        p{
          font-weight: 500;  
        }
    }

    #home .content {
        max-width: 100%;
        text-align: center;
    }


    #home .content h3 {
        font-size: 8vw;
        line-height: 9vw;
        margin-bottom: 4vw;
    }

    #home .content p {
        font-size: 4vw;
        width: 100%;
        line-height: 6vw;
        padding: 4vw 0;
        text-align: justify;
    }


    .btn {
        font-size: 4vw;
        padding: 3vw 6vw;
    }

    /* SOBRE */
    .about .row {
        flex-direction: column;
        text-align: center;
    }

    .about-image {
        width: 90vw;
        border-radius: 2vw;
    }

    .about .row .content p {
        width: 100%;
        font-size: 4vw;
        line-height: 6vw;
    }

    .about .row .content h3 {
        font-size: 8vw;
        margin-bottom: 4vw;
    }

    .menu .box-container {
        grid-template-columns: 1fr;
        gap: 5vw;
    }

    .menu .box-container .box img {
        width: 30vw;
        margin-top: 5vw;
    }

    .menu .box-container .box h3 {
        font-size: 5vw;
    }

    .menu .box-container .box .price {
        font-size: 4vw;
    }

    .price span {
        font-size: 3vw;
    }

    /* REVIEW */
    .review .box-container {
        grid-template-columns: 1fr;
        gap: 5vw;
    }

    .client {
        width: 25vw;
    }

    .review .box-container .box p {
        font-size: 4vw;
        padding: 4vw 0;
    }

    .review .box-container .box h3 {
        font-size: 4.5vw;
    }

    /* ENDEREÇO */
    iframe {
        width: 100%;
        height: 60vw;
    }
}